summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Lehman Black2010-05-11 15:01:34 +0200
committer Michiel van Wessem2010-05-11 15:01:34 +0200
commit2970154a11717b04a688efd201f4ed286dc52e19 (patch)
tree5bb4d0be5433b51bb8c8c34d3c3e3161a8d7d870 /network
parent99e88bf6977b705f887aeefb4c93736e297de24f (diff)
downloadslackbuilds-2970154a11717b04a688efd201f4ed286dc52e19.tar.gz
network/raggle: Initial import
Diffstat (limited to 'network')
-rw-r--r--network/raggle/README17
-rw-r--r--network/raggle/raggle.SlackBuild50
-rw-r--r--network/raggle/raggle.info8
-rw-r--r--network/raggle/raggle_ruby_1.8.4.diff20
-rw-r--r--network/raggle/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/network/raggle/README b/network/raggle/README
new file mode 100644
index 0000000000..872c84e638
--- /dev/null
+++ b/network/raggle/README
@@ -0,0 +1,17 @@
+Raggle is an RSS aggregator, written in Ruby. Raggle has two interfaces: a
+console interface and a (beta) web interface. Features include HTTP proxy,
+authentication, and conditional GET support, OPML import/export, themes,
+Syndic8 integration, feed categories, and support for various versions of
+RSS. The console interface also features customizable keybindings, basic
+HTML rendering, Screen support, and browser auto-detection.
+
+Configuration:
+Common configuration files
+--------------------------
+$HOME/.raggle/config.rb - main configuration file
+$HOME/.raggle/feeds.yaml - feed list
+$HOME/.raggle/feed_cache.store - cached feed items
+$HOME/.raggle/theme.yaml - colors, window layout
+$HOME/.raggle/web_ui - web interface
+
+Dependencies: ncurses-ruby (script available at SlackBuilds.org)
diff --git a/network/raggle/raggle.SlackBuild b/network/raggle/raggle.SlackBuild
new file mode 100644
index 0000000000..31876641b6
--- /dev/null
+++ b/network/raggle/raggle.SlackBuild
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+######################################
+# BUILDS: Raggle #
+# HOME: http://www.raggle.org #
+# AUTHOR: Lehman Black #
+# CONTACT: bzqwerty[at]gmail[dot]com #
+######################################
+
+# Assumed to be public domain per our submission policy
+# See the README for dependancies and other configuration information
+
+PRGNAM=raggle
+VERSION=0.4.4
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# Raggle has a bug when running ruby 1.8.4
+# Problem goes away with next version of Slackware
+patch -p1 < $CWD/raggle_ruby_1.8.4.diff || exit 1
+
+# Some directories need to be changed in the make file
+make install PREFIX=$PKG/usr \
+ MANDIR=$PKG/usr/man/man1 \
+ DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/raggle/raggle.info b/network/raggle/raggle.info
new file mode 100644
index 0000000000..c4dbbf01b9
--- /dev/null
+++ b/network/raggle/raggle.info
@@ -0,0 +1,8 @@
+PRGNAM="raggle"
+VERSION="0.4.4"
+HOMEPAGE="http://www.raggle.org"
+DOWNLOAD="http://www.raggle.org/files/raggle-0.4.4.tar.gz"
+MD5SUM="d6fd8e1487f53e5cf89e1bf3cf3adbfc"
+MAINTAINER="Lehman Black"
+EMAIL="bzqwerty[at]gmail[dot]com"
+APPROVED="BP{k}" \ No newline at end of file
diff --git a/network/raggle/raggle_ruby_1.8.4.diff b/network/raggle/raggle_ruby_1.8.4.diff
new file mode 100644
index 0000000000..0b9450845a
--- /dev/null
+++ b/network/raggle/raggle_ruby_1.8.4.diff
@@ -0,0 +1,20 @@
+--- raggle-0.4.4/raggle.orig 2005-12-14 23:54:11.000000000 +0100
++++ raggle-0.4.4/raggle 2007-01-24 20:26:15.000000000 +0100
+@@ -48,6 +48,17 @@
+ # As early as possible, ^C and ^\ are common, and dumping a trace is
+ # ugly On the other hand, dumping trace is very useful when running
+ # tests, therefore disable these unless this file is executed.
++
++if RUBY_VERSION == "1.8.4"
++ class Bignum
++ def to_yaml( opts = {} )
++ YAML::quick_emit( nil, opts ) { |out|
++ out.scalar( nil, to_s, :plain )
++ }
++ end
++ end
++end
++
+ if __FILE__ == $0
+ trap('INT') {
+ if $config['run_http_server']
diff --git a/network/raggle/slack-desc b/network/raggle/slack-desc
new file mode 100644
index 0000000000..4c32d9c7c7
--- /dev/null
+++ b/network/raggle/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----------------------------------------------------------------------|
+raggle: Raggle (console RSS reader)
+raggle:
+raggle: Raggle is a console RSS aggregator, written in Ruby. Features include
+raggle: customizable keybindings, basic HTML rendering, HTTP proxy support,
+raggle: OPML import/export, themes, support for various versions of RSS,
+raggle: Screen support, browser auto-detection, and more.
+raggle:
+raggle: Homepage: http://www.raggle.org
+raggle:
+raggle:
+raggle: